
.. currentmodule:: silx.gui.widgets

:mod:`PeriodicTable`: Atomic elements widgets
----------------------------------------------

.. automodule:: silx.gui.widgets.PeriodicTable

Widgets
+++++++

.. autoclass:: silx.gui.widgets.PeriodicTable.PeriodicTable
    :members:
    :exclude-members: elementEnter, elementLeave, elementClicked, elementToggle
    :show-inheritance:


.. autoclass:: silx.gui.widgets.PeriodicTable.PeriodicList
    :members:
    :show-inheritance:

.. autoclass:: silx.gui.widgets.PeriodicTable.PeriodicCombo
    :members:
    :show-inheritance:


Data model
++++++++++

.. autoclass:: silx.gui.widgets.PeriodicTable.PeriodicTableItem
    :members:


.. autoclass:: silx.gui.widgets.PeriodicTable.ColoredPeriodicTableItem
    :members:
    :show-inheritance:

